/*
 * V7_7_To_V7_8.java
 *
 * Created on May 15, 2007, 3:12 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

/**
 *
 * @author lflores
 */
public class V7_7_To_V7_8 extends AbstractUpdate
{
	
	public V7_7_To_V7_8()
	{
		super(7.7,7.8,"Alterar tabela das datas de exames para incluir o prestador",
				"Alterar tabela das datas de consulta para incluir o prestador");
	}
	
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
				new com.evolute.utils.sql.Update( 
					"ALTER TABLE trabalhadores_ecds_datas ADD prestador_id INTEGER REFERENCES prestadores( id );" );
		executer.executeQuery( update );
		update = new com.evolute.utils.sql.Update( 
					"ALTER TABLE trabalhadores_consultas_datas ADD prestador_id INTEGER REFERENCES prestadores( id );" );
		executer.executeQuery( update );
		
	}
	
}
